sep=,
<#import "../../application/docbook+xml/macros_common.ftl" as com>
<#assign locale = "en" />
<#assign substance = com.getReportSubject(rootDocument) />
<#-- Print the headears for each column -->
Component type,Component name,EC number,CAS number,CAS name,IUPAC name,Typical concentration qualifier,Typical concentration value,Typical concentration unit,Concentration range lower qualifier,Concentration range lower value,Concentration range upper qualifier,Concentration range upper value,Concentration range unit,Remarks
<#compress>
<#assign recordList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />

<#-- Constituents -->
<#list recordList as document>
	<#assign itemList = document.Constituents.Constituents />
	<#if itemList?has_content>
		<#list itemList as item>
			<@tableRowOfComponents document itemList item "Constituent" document.name document.documentKey.uuid /><#if item_has_next>,</#if>
		</#list>
	</#if>
</#list>

<#-- Impurity -->
<#assign recordList = iuclid.getSectionDocumentsForParentKey(substance.documentKey, "FLEXIBLE_RECORD", "SubstanceComposition") />
<#list recordList as document>
	<#assign itemList = document.Impurities.Impurities />
	<#if itemList?has_content>
		<#list itemList as item>
			<@tableRowOfComponents document itemList item "Impurity" document.name document.documentKey.uuid /><#if item_has_next>,</#if>
		</#list>
	</#if>
</#list>

<#-- Additives -->
<#list recordList as document>
	<#assign itemList = document.Additives.Additives />
	<#if itemList?has_content>
		<#list itemList as item>
			<@tableRowOfComponents document itemList item "Additive" document.name document.documentKey.uuid /><#if item_has_next>,</#if>
		</#list>
	</#if>
</#list>

<#-- Table for components -->
<#macro tableRowOfComponents document itemList item componentType="" documentName="" documentUUID="">
<#if document?has_content && item?has_content>
<#local docUrl=iuclid.webUrl.documentView(document.documentKey) />
<#local concentrationRangeLQ><@rangeLowerQualifier item.Concentration/></#local>
<#local concentrationRangeLV><@rangeLowerValue item.Concentration/></#local>
<#local concentrationRangeUQ><@rangeUpperQualifier item.Concentration/></#local>
<#local concentrationRangeUV><@rangeUpperValue item.Concentration/></#local>
<#local concentrationRangeUnit><@rangeUnit item.Concentration/></#local>
<#local typicalConcentrationLQ><@rangeLowerQualifier item.ProportionTypical/></#local>
<#local typicalConcentrationLV><@rangeLowerValue item.ProportionTypical/></#local>
<#local typicalConcentrationUnit><@rangeUnit item.ProportionTypical/></#local>
<@compress single_line=true>
<#if componentType=="Constituent"><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""Constituent"")",<#else>Constituent,</#if><#elseif componentType=="Impurity"><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""Impurity"")",<#else>Impurity,</#if><#elseif componentType=="Additive"><#if docUrl?has_content>"=HYPERLINK(""${docUrl}"", ""Additive"")",<#else>Additive,</#if></#if><@referenceSubstanceName item.ReferenceSubstance/>,<@referenceSubstanceECnumber item.ReferenceSubstance/>,<@referenceSubstanceCASnumber item.ReferenceSubstance/>,<@referenceSubstanceCASname item.ReferenceSubstance/>,<@referenceSubstanceIUPACname item.ReferenceSubstance/>,${typicalConcentrationLQ?replace("&gt;", ">")?replace("&lt;", "<")},${typicalConcentrationLV},${typicalConcentrationUnit?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")},${concentrationRangeLQ?replace("&gt;", ">")?replace("&lt;", "<")},${concentrationRangeLV},${concentrationRangeUQ?replace("&gt;", ">")?replace("&lt;", "<")},${concentrationRangeUV},${concentrationRangeUnit?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")},${item.Remarks?replace(",","")?html}
</@compress>
</#if>
</#macro>
</#compress>

<#macro referenceSubstanceName referenceSubstanceKey>
<#compress>
	<#local refSubst = iuclid.getDocumentForKey(referenceSubstanceKey) />
	<#if refSubst?has_content>
	<#if refSubst.ReferenceSubstanceName?has_content>
	${refSubst.ReferenceSubstanceName?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}
  	</#if>
	</#if>
</#compress>
</#macro>

<#macro referenceSubstanceECnumber referenceSubstanceKey>
<#compress>
	<#local refSubst = iuclid.getDocumentForKey(referenceSubstanceKey) />
	<#if refSubst?has_content>
	<#if refSubst.Inventory.InventoryEntry?has_content>
	<@com.inventoryECNumber refSubst.Inventory.InventoryEntry/>
	</#if>
  	</#if>
</#compress>
</#macro>

<#macro referenceSubstanceCASnumber referenceSubstanceKey>
<#compress>
	<#local refSubst = iuclid.getDocumentForKey(referenceSubstanceKey) />
	<#if refSubst?has_content>
	<#if refSubst.Inventory.CASNumber?has_content>
	${refSubst.Inventory.CASNumber?replace(",","")}
	</#if>
  	</#if>
</#compress>
</#macro>

<#macro referenceSubstanceCASname referenceSubstanceKey>
<#compress>
	<#local refSubst = iuclid.getDocumentForKey(referenceSubstanceKey) />
	<#if refSubst?has_content>
	<#if refSubst.Inventory.CASName?has_content>
	${refSubst.Inventory.CASName?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}
  	</#if>
	</#if>
</#compress>
</#macro>

<#macro referenceSubstanceIUPACname referenceSubstanceKey>
<#compress>
	<#local refSubst = iuclid.getDocumentForKey(referenceSubstanceKey) />
	<#if refSubst?has_content>
	<#if refSubst.IupacName?has_content>
	${refSubst.IupacName?replace(",","")?replace("^\\s+|\\s+$|\\n|\\r", "", "rm")}
  	</#if>
	</#if>
</#compress>
</#macro>

<#macro rangeLowerQualifier rangeValue locale="en">
<#compress>
	<#if rangeValue?has_content>
		<#escape x as x?html>
			<#if rangeValue.lower.value?has_content>
				${rangeValue.lower.qualifier!}
			</#if>
		</#escape>
	</#if>	
</#compress>
</#macro>
			
<#macro rangeLowerValue rangeValue locale="en">
<#compress>
	<#if rangeValue?has_content>
		<#escape x as x?html>
			<#if rangeValue.lower.value?has_content>
				<@com.number rangeValue.lower.value/>
			</#if>
		</#escape>
  	</#if>
</#compress>
</#macro>

<#macro rangeUpperQualifier rangeValue locale="en">
<#compress>
	<#if rangeValue?has_content>
		<#escape x as x?html>
			<#if rangeValue.upper.value?has_content>
				${rangeValue.upper.qualifier!}
			</#if>
		</#escape>
  	</#if>
</#compress>
</#macro>

<#macro rangeUpperValue rangeValue locale="en">
<#compress>
	<#if rangeValue?has_content>
		<#escape x as x?html>
			<#if rangeValue.upper.value?has_content>
				<@com.number rangeValue.upper.value/>
			</#if>
		</#escape>
  	</#if>
</#compress>
</#macro>

<#macro rangeUnit rangeValue locale="en">
<#compress>
	<#if rangeValue?has_content>
		<#escape x as x?html>				
			<#if rangeValue.unit?has_content>
				<@com.picklist rangeValue.unit locale/>
			</#if>
		</#escape>
	</#if>
</#compress>
</#macro>
